CVC4::expr::ExprDag Class Reference

IOStream manipulator to print expressions as a dag (or not). More...

`#include <expr.h>`

## Data Structures

class | Scope
| Set the dag state on the output stream for the current stack scope. More...

## Public Member Functions

| ExprDag (bool dag)
| Construct a ExprDag with the given setting (dagification on or off).
| ExprDag (int dag)
| Construct a ExprDag with the given setting (letify only common subexpressions that appear more than 'dag' times).
void | applyDag (std::ostream &out)

## Static Public Member Functions

static size_t | getDag (std::ostream &out)
static void | setDag (std::ostream &out, size_t dag)

## Detailed Description

IOStream manipulator to print expressions as a dag (or not).

Definition at line 825 of file expr.h.

## Constructor & Destructor Documentation

## ExprDag() [1/2]

CVC4::expr::ExprDag::ExprDag | ( | bool | dag | ) |

inlineexplicit

Construct a ExprDag with the given setting (dagification on or off).

Definition at line 846 of file expr.h.

## ExprDag() [2/2]

CVC4::expr::ExprDag::ExprDag | ( | int | dag | ) |

inlineexplicit

Construct a ExprDag with the given setting (letify only common subexpressions that appear more than 'dag' times).

dag <= 0 means don't dagify.

Definition at line 853 of file expr.h.

## Member Function Documentation

## applyDag()

void CVC4::expr::ExprDag::applyDag | ( | std::ostream & | out | ) |

inline

Definition at line 855 of file expr.h.

Referenced by CVC4::expr::operator<<().

## getDag()

static size_t CVC4::expr::ExprDag::getDag | ( | std::ostream & | out | ) |

inlinestatic

Definition at line 860 of file expr.h.

## setDag()

static void CVC4::expr::ExprDag::setDag | ( | std::ostream & | out,
|  | size_t | dag )

inlinestatic

Definition at line 880 of file expr.h.

The documentation for this class was generated from the following file:

- builds/powerpc-apple-darwin10.0.0d2/production/src/expr/expr.h